Subject: found a much better workaround

From: René Genz <[email-masked]>
Date: Sat, 17 Sep 2016 14:49:14 +0200

I noticed that X2Go Client ships an old version of VcXsrv, according to the details of
%programfiles%\x2goclient\VcXsrv\vcxsrv.exe
it is version 1.17.0.0

I downloaded the most recent version (1.18.3.0) from:
https://sourceforge.net/projects/vcxsrv/files/vcxsrv
and installed it on Windows 7.

Then I reconfigured X2Go client:
X2Go Client -- Options -- Settings... -- X.Org Server settings: |x| use custom X-Server

The default values of:
executable:           C:\program files\vcxsrv\vcxsrv.exe
command line options: -multiwindow -notrayicon -clipboard
worked out just fine for me with nmrDraw.

For reference:
In case you misconfigure X2Go Client X.Org server and the message window:
x2goclient
---
Can't start X.Org Server.
Please check your installation.
[OK]

prevents you from changing the settings, revert them using 'regedit'. In the path:
HKEY_CURRENT_USER\Software\Obviously Nice\x2goclient\settings
set
"useintx"="true"
-- 
Kind regards,
René